package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemUidlabelFilterListBindingImpl extends ItemUidlabelFilterListBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback51;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemUidlabelFilterListBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 3, sIncludes, sViewsWithIds));
    }
    private ItemUidlabelFilterListBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[2]
            );
        this.itemClazzSimpleLine1Text.setTag(null);
        this.itemClazzSimpleSecondaryMenuImageview.setTag(null);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback51 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.uidAndLabel == variableId) {
            setUidAndLabel((com.ustadmobile.lib.db.entities.UidAndLabel) variable);
        }
        else if (BR.eventHandler == variableId) {
            setEventHandler((com.ustadmobile.port.android.view.ReportFilterEditFragmentEventHandler) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.ReportFilterEditPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setUidAndLabel(@Nullable com.ustadmobile.lib.db.entities.UidAndLabel UidAndLabel) {
        this.mUidAndLabel = UidAndLabel;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.uidAndLabel);
        super.requestRebind();
    }
    public void setEventHandler(@Nullable com.ustadmobile.port.android.view.ReportFilterEditFragmentEventHandler EventHandler) {
        this.mEventHandler = EventHandler;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.eventHandler);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.ReportFilterEditPresenter MPresenter) {
        this.mMPresenter = MPresenter;
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        com.ustadmobile.lib.db.entities.UidAndLabel uidAndLabel = mUidAndLabel;
        com.ustadmobile.port.android.view.ReportFilterEditFragmentEventHandler eventHandler = mEventHandler;
        java.lang.String uidAndLabelLabelName = null;

        if ((dirtyFlags & 0x9L) != 0) {



                if (uidAndLabel != null) {
                    // read uidAndLabel.labelName
                    uidAndLabelLabelName = uidAndLabel.getLabelName();
                }
        }
        // batch finished
        if ((dirtyFlags & 0x9L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemClazzSimpleLine1Text, uidAndLabelLabelName);
        }
        if ((dirtyFlags & 0x8L) != 0) {
            // api target 1

            this.itemClazzSimpleSecondaryMenuImageview.setOnClickListener(mCallback51);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // uidAndLabel
        com.ustadmobile.lib.db.entities.UidAndLabel uidAndLabel = mUidAndLabel;
        // eventHandler
        com.ustadmobile.port.android.view.ReportFilterEditFragmentEventHandler eventHandler = mEventHandler;
        // eventHandler != null
        boolean eventHandlerJavaLangObjectNull = false;



        eventHandlerJavaLangObjectNull = (eventHandler) != (null);
        if (eventHandlerJavaLangObjectNull) {



            eventHandler.onClickRemoveUidAndLabel(uidAndLabel);
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): uidAndLabel
        flag 1 (0x2L): eventHandler
        flag 2 (0x3L): mPresenter
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}